Loading...
Searching...
No Matches
TopologyToLevelSet.h File Reference

This tool generates a narrow-band signed distance field / level set from the interface between active and inactive voxels in a vdb grid. More...

`#include "LevelSetFilter.h"`
`#include "Morphology.h"`
`#include <openvdb/Grid.h>`
`#include <openvdb/Types.h>`
`#include <openvdb/math/FiniteDifference.h>`
`#include <openvdb/util/NullInterrupter.h>`
`#include <openvdb/openvdb.h>`
`#include <openvdb/points/PointDataGrid.h>`
`#include <tbb/task_group.h>`
`#include <algorithm>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::tools

## Functions

template<typename GridT>
GridT::template ValueConverter< float >::Type::Ptr | topologyToLevelSet (const GridT &grid, int halfWidth=3, int closingSteps=1, int dilation=0, int smoothingSteps=0)
| Compute the narrow-band signed distance to the interface between active and inactive voxels in the input grid.
template<typename GridT, typename InterrupterT>
GridT::template ValueConverter< float >::Type::Ptr | topologyToLevelSet (const GridT &grid, int halfWidth=3, int closingSteps=1, int dilation=0, int smoothingSteps=0, InterrupterT *interrupt=nullptr)
| Compute the narrow-band signed distance to the interface between active and inactive voxels in the input grid.

## Detailed Description

This tool generates a narrow-band signed distance field / level set from the interface between active and inactive voxels in a vdb grid.

Example:
  Combine with `tools::PointsToVolume` for fast point cloud to level set conversion.